Groovy 1.7.10

## groovy.sql
[Java] Class ResultSetMetaDataWrapper

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.sql.ResultSetMetaDataWrapper

    public class ResultSetMetaDataWrapper
    extends GroovyObjectSupport

This class defines a wrapper for accessing a specific column in `ResultSetMetaData`. This allows iteration over columns using idiomatic Groovy, e.g.

     meta.each {col ->
       println col.columnName
     }

All `ResultSetMetaData` column methods taking a column index are available on a column either as a no-arg getter or via a property.

This wrapper is created by an iterator invoked for `ResultSetMetaData`.

Authors:
  John Hurst

See Also:
  SqlGroovyMethods

Constructor Summary
`ResultSetMetaDataWrapper(ResultSetMetaData target, int index)`

Method Summary
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ResultSetMetaDataWrapper

    public ResultSetMetaDataWrapper(ResultSetMetaData target, int index)

Method Detail

### getProperty

    @Override
    public Object getProperty(String property)

### invokeMethod

    @Override
    public Object invokeMethod(String name, Object args)

### setProperty

    @Override
    public void setProperty(String property, Object newValue)

Copyright © 2003-2010 The Codehaus. All rights reserved.